Botan 1.10.17

Namespaces | Macros | Functions
version.cpp File Reference
`#include <botan/version.h>`
`#include <botan/parsing.h>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | QUOTE(name) #name
#define | STR(macro) QUOTE(macro)

## Functions
u32bit | Botan::version_datestamp ()
u32bit | Botan::version_major ()
u32bit | Botan::version_minor ()
u32bit | Botan::version_patch ()
std::string | Botan::version_string ()

## Macro Definition Documentation

## ◆ QUOTE

#define QUOTE | ( |  | name | ) | #name

## ◆ STR

#define STR | ( |  | macro | ) | QUOTE(macro)

Referenced by Botan::version_string().